summaryrefslogtreecommitdiff
path: root/app/xlogo/configure
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-26 17:54:10 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2006-11-26 17:54:10 +0000
commita7610844bd23439954dda87545eb31d16517ef90 (patch)
treecb53954f4b54839888e05c1e39169a25ee10dc47 /app/xlogo/configure
parent2de9fd72e354e414dc0ce292e7f9da281783ac55 (diff)
regen with OpenBSD autotools
Diffstat (limited to 'app/xlogo/configure')
-rw-r--r--app/xlogo/configure500
1 files changed, 166 insertions, 334 deletions
diff --git a/app/xlogo/configure b/app/xlogo/configure
index 507fa8b56..8a91ea47d 100644
--- a/app/xlogo/configure
+++ b/app/xlogo/configure
@@ -273,7 +273,7 @@ PACKAGE_VERSION='1.0.1'
PACKAGE_STRING='xlogo 1.0.1'
PACKAGE_BUGREPORT='https://bugs.freedesktop.org/enter_bug.cgi?product=xorg'
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE PKG_CONFIG ac_pt_PKG_CONFIG TMP_XAW_CFLAGS TMP_XAW_LIBS XAW_USE_XPRINT_TRUE XAW_USE_XPRINT_FALSE XPRINT_UTIL_CFLAGS XPRINT_UTIL_LIBS XRENDER_CFLAGS XRENDER_LIBS XFT_CFLAGS XFT_LIBS XEXT_CFLAGS XEXT_LIBS XLOGO_CFLAGS XLOGO_LIBS APPDEFS_CFLAGS APPDEFS_LIBS appdefaultdir build build_cpu build_vendor build_os host host_cpu host_vendor host_os APP_MAN_SUFFIX LIB_MAN_SUFFIX FILE_MAN_SUFFIX MISC_MAN_SUFFIX DRIVER_MAN_SUFFIX ADMIN_MAN_SUFFIX APP_MAN_DIR LIB_MAN_DIR FILE_MAN_DIR MISC_MAN_DIR DRIVER_MAN_DIR ADMIN_MAN_DIR LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE PKG_CONFIG ac_pt_PKG_CONFIG TMP_XAW_CFLAGS TMP_XAW_LIBS XAW_USE_XPRINT_TRUE XAW_USE_XPRINT_FALSE XPRINT_UTIL_CFLAGS XPRINT_UTIL_LIBS XRENDER_CFLAGS XRENDER_LIBS XFT_CFLAGS XFT_LIBS XEXT_CFLAGS XEXT_LIBS XLOGO_CFLAGS XLOGO_LIBS APPDEFS_CFLAGS APPDEFS_LIBS appdefaultdir build build_cpu build_vendor build_os host host_cpu host_vendor host_os APP_MAN_SUFFIX LIB_MAN_SUFFIX FILE_MAN_SUFFIX MISC_MAN_SUFFIX DRIVER_MAN_SUFFIX ADMIN_MAN_SUFFIX APP_MAN_DIR LIB_MAN_DIR FILE_MAN_DIR MISC_MAN_DIR DRIVER_MAN_DIR ADMIN_MAN_DIR LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -863,10 +863,10 @@ if test -n "$ac_init_help"; then
Optional Features:
--disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
- --enable-maintainer-mode enable make rules and dependencies not useful
- (and sometimes confusing) to the casual installer
- --disable-dependency-tracking Speeds up one-time builds
- --enable-dependency-tracking Do not reject slow dependency extractors
+ --enable-maintainer-mode enable make rules and dependencies not useful
+ (and sometimes confusing) to the casual installer
+ --disable-dependency-tracking speeds up one-time build
+ --enable-dependency-tracking do not reject slow dependency extractors
--enable-xprint Enable XPrint support
Optional Packages:
@@ -1354,7 +1354,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
-am__api_version="1.7"
+am__api_version="1.9"
ac_aux_dir=
for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
if test -f $ac_dir/install-sh; then
@@ -1517,7 +1517,6 @@ _ACEOF
program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
rm conftest.sed
-
# expand $ac_aux_dir to an absolute path
am_aux_dir=`cd $ac_aux_dir && pwd`
@@ -1531,6 +1530,39 @@ else
echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
fi
+if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
+ # We used to keeping the `.' as first argument, in order to
+ # allow $(mkdir_p) to be used without argument. As in
+ # $(mkdir_p) $(somedir)
+ # where $(somedir) is conditionally defined. However this is wrong
+ # for two reasons:
+ # 1. if the package is installed by a user who cannot write `.'
+ # make install will fail,
+ # 2. the above comment should most certainly read
+ # $(mkdir_p) $(DESTDIR)$(somedir)
+ # so it does not work when $(somedir) is undefined and
+ # $(DESTDIR) is not.
+ # To support the latter case, we have to write
+ # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
+ # so the `.' trick is pointless.
+ mkdir_p='mkdir -p --'
+else
+ # On NextStep and OpenStep, the `mkdir' command does not
+ # recognize any option. It will interpret all options as
+ # directories to create, and then abort because `.' already
+ # exists.
+ for d in ./-p ./--version;
+ do
+ test -d $d && rmdir $d
+ done
+ # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
+ if test -f "$ac_aux_dir/mkinstalldirs"; then
+ mkdir_p='$(mkinstalldirs)'
+ else
+ mkdir_p='$(install_sh) -d'
+ fi
+fi
+
for ac_prog in gawk mawk nawk awk
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -1609,7 +1641,7 @@ else
fi
rmdir .tst 2>/dev/null
- # test to see if srcdir already configured
+# test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" &&
test -f $srcdir/config.status; then
{ { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
@@ -1657,9 +1689,6 @@ AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
-
-AMTAR=${AMTAR-"${am_missing_run}tar"}
-
install_sh=${install_sh-"$am_aux_dir/install-sh"}
# Installed binaries are usually stripped using `strip' when the user
@@ -1752,6 +1781,13 @@ INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
# We need awk for the "check" target. The system "awk" is bad on
# some platforms.
+# Always define AMTAR for backward compatibility.
+
+AMTAR=${AMTAR-"${am_missing_run}tar"}
+
+am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
+
+
@@ -2819,7 +2855,9 @@ else
: > sub/conftest.c
for i in 1 2 3 4 5 6; do
echo '#include "conftst'$i'.h"' >> sub/conftest.c
- : > sub/conftst$i.h
+ # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
+ # Solaris 8's {/usr,}/bin/sh.
+ touch sub/conftst$i.h
done
echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
@@ -2847,9 +2885,14 @@ else
grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
${MAKE-make} -s -f confmf > /dev/null 2>&1; then
# icc doesn't choke on unknown options, it will just issue warnings
- # (even with -Werror). So we grep stderr for any message
- # that says an option was ignored.
- if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+ # or remarks (even with -Werror). So we grep stderr for any message
+ # that says an option was ignored or not supported.
+ # When given -MP, icc 7.0 and 7.1 complain thusly:
+ # icc: Command line warning: ignoring option '-M'; no argument required
+ # The diagnosis changed in icc 8.0:
+ # icc: Command line remark: option '-MP' not supported
+ if (grep 'ignoring option' conftest.err ||
+ grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
am_cv_CC_dependencies_compiler_type=$depmode
break
fi
@@ -3094,9 +3137,6 @@ echo "$as_me:$LINENO: checking for TMP_XAW" >&5
echo $ECHO_N "checking for TMP_XAW... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$TMP_XAW_CFLAGS"; then
- pkg_cv_TMP_XAW_CFLAGS="$TMP_XAW_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$TMP_CHECK1\"") >&5
($PKG_CONFIG --exists --print-errors "$TMP_CHECK1") 2>&5
@@ -3107,14 +3147,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$TMP_XAW_LIBS"; then
- pkg_cv_TMP_XAW_LIBS="$TMP_XAW_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$TMP_CHECK1\"") >&5
($PKG_CONFIG --exists --print-errors "$TMP_CHECK1") 2>&5
@@ -3125,27 +3161,14 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$TMP_CHECK1"`
- else
- TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$TMP_CHECK1"`
- fi
+ TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$TMP_CHECK1"`
# Put the nasty error message in config.log where it belongs
- echo "$TMP_XAW_PKG_ERRORS" >&5
+ echo "$TMP_XAW_PKG_ERRORS" 1>&5
success=no
elif test $pkg_failed = untried; then
@@ -3165,9 +3188,6 @@ echo "$as_me:$LINENO: checking for TMP_XAW" >&5
echo $ECHO_N "checking for TMP_XAW... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$TMP_XAW_CFLAGS"; then
- pkg_cv_TMP_XAW_CFLAGS="$TMP_XAW_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$TMP_CHECK2\"") >&5
($PKG_CONFIG --exists --print-errors "$TMP_CHECK2") 2>&5
@@ -3178,14 +3198,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$TMP_XAW_LIBS"; then
- pkg_cv_TMP_XAW_LIBS="$TMP_XAW_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$TMP_CHECK2\"") >&5
($PKG_CONFIG --exists --print-errors "$TMP_CHECK2") 2>&5
@@ -3196,27 +3212,14 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$TMP_CHECK2"`
- else
- TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$TMP_CHECK2"`
- fi
+ TMP_XAW_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$TMP_CHECK2"`
# Put the nasty error message in config.log where it belongs
- echo "$TMP_XAW_PKG_ERRORS" >&5
+ echo "$TMP_XAW_PKG_ERRORS" 1>&5
success=no
elif test $pkg_failed = untried; then
@@ -3260,9 +3263,6 @@ echo "$as_me:$LINENO: checking for XPRINT_UTIL" >&5
echo $ECHO_N "checking for XPRINT_UTIL... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$XPRINT_UTIL_CFLAGS"; then
- pkg_cv_XPRINT_UTIL_CFLAGS="$XPRINT_UTIL_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xprintutil xp\"") >&5
($PKG_CONFIG --exists --print-errors "xprintutil xp") 2>&5
@@ -3273,14 +3273,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$XPRINT_UTIL_LIBS"; then
- pkg_cv_XPRINT_UTIL_LIBS="$XPRINT_UTIL_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xprintutil xp\"") >&5
($PKG_CONFIG --exists --print-errors "xprintutil xp") 2>&5
@@ -3291,59 +3287,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- XPRINT_UTIL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xprintutil xp"`
- else
- XPRINT_UTIL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xprintutil xp"`
- fi
+ XPRINT_UTIL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xprintutil xp"`
# Put the nasty error message in config.log where it belongs
- echo "$XPRINT_UTIL_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xprintutil xp) were not met:
-
-$XPRINT_UTIL_PKG_ERRORS
+ echo "$XPRINT_UTIL_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xprintutil xp) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XPRINT_UTIL_CFLAGS
-and XPRINT_UTIL_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xprintutil xp) were not met:
-
-$XPRINT_UTIL_PKG_ERRORS
-
+Alternatively you may set the XPRINT_UTIL_CFLAGS and XPRINT_UTIL_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xprintutil xp) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XPRINT_UTIL_CFLAGS
-and XPRINT_UTIL_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the XPRINT_UTIL_CFLAGS and XPRINT_UTIL_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XPRINT_UTIL_CFLAGS
-and XPRINT_UTIL_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XPRINT_UTIL_CFLAGS and XPRINT_UTIL_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -3351,9 +3326,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XPRINT_UTIL_CFLAGS
-and XPRINT_UTIL_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XPRINT_UTIL_CFLAGS and XPRINT_UTIL_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -3401,9 +3376,6 @@ echo "$as_me:$LINENO: checking for XRENDER" >&5
echo $ECHO_N "checking for XRENDER... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$XRENDER_CFLAGS"; then
- pkg_cv_XRENDER_CFLAGS="$XRENDER_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xrender\"") >&5
($PKG_CONFIG --exists --print-errors "xrender") 2>&5
@@ -3414,14 +3386,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$XRENDER_LIBS"; then
- pkg_cv_XRENDER_LIBS="$XRENDER_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xrender\"") >&5
($PKG_CONFIG --exists --print-errors "xrender") 2>&5
@@ -3432,59 +3400,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- XRENDER_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xrender"`
- else
- XRENDER_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xrender"`
- fi
+ XRENDER_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xrender"`
# Put the nasty error message in config.log where it belongs
- echo "$XRENDER_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xrender) were not met:
-
-$XRENDER_PKG_ERRORS
+ echo "$XRENDER_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xrender) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XRENDER_CFLAGS
-and XRENDER_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xrender) were not met:
-
-$XRENDER_PKG_ERRORS
-
+Alternatively you may set the XRENDER_CFLAGS and XRENDER_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xrender) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XRENDER_CFLAGS
-and XRENDER_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the XRENDER_CFLAGS and XRENDER_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XRENDER_CFLAGS
-and XRENDER_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XRENDER_CFLAGS and XRENDER_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -3492,9 +3439,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XRENDER_CFLAGS
-and XRENDER_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XRENDER_CFLAGS and XRENDER_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -3512,9 +3459,6 @@ echo "$as_me:$LINENO: checking for XFT" >&5
echo $ECHO_N "checking for XFT... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$XFT_CFLAGS"; then
- pkg_cv_XFT_CFLAGS="$XFT_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xft\"") >&5
($PKG_CONFIG --exists --print-errors "xft") 2>&5
@@ -3525,14 +3469,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$XFT_LIBS"; then
- pkg_cv_XFT_LIBS="$XFT_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xft\"") >&5
($PKG_CONFIG --exists --print-errors "xft") 2>&5
@@ -3543,59 +3483,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- XFT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xft"`
- else
- XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft"`
- fi
+ XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft"`
# Put the nasty error message in config.log where it belongs
- echo "$XFT_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xft) were not met:
-
-$XFT_PKG_ERRORS
+ echo "$XFT_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xft) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XFT_CFLAGS
-and XFT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xft) were not met:
-
-$XFT_PKG_ERRORS
-
+Alternatively you may set the XFT_CFLAGS and XFT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xft) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XFT_CFLAGS
-and XFT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the XFT_CFLAGS and XFT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XFT_CFLAGS
-and XFT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XFT_CFLAGS and XFT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -3603,9 +3522,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XFT_CFLAGS
-and XFT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XFT_CFLAGS and XFT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -3634,9 +3553,6 @@ echo "$as_me:$LINENO: checking for XEXT" >&5
echo $ECHO_N "checking for XEXT... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$XEXT_CFLAGS"; then
- pkg_cv_XEXT_CFLAGS="$XEXT_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xext\"") >&5
($PKG_CONFIG --exists --print-errors "xext") 2>&5
@@ -3647,14 +3563,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$XEXT_LIBS"; then
- pkg_cv_XEXT_LIBS="$XEXT_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xext\"") >&5
($PKG_CONFIG --exists --print-errors "xext") 2>&5
@@ -3665,59 +3577,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- XEXT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xext"`
- else
- XEXT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xext"`
- fi
+ XEXT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xext"`
# Put the nasty error message in config.log where it belongs
- echo "$XEXT_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xext) were not met:
-
-$XEXT_PKG_ERRORS
+ echo "$XEXT_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xext) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XEXT_CFLAGS
-and XEXT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xext) were not met:
-
-$XEXT_PKG_ERRORS
-
+Alternatively you may set the XEXT_CFLAGS and XEXT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xext) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables XEXT_CFLAGS
-and XEXT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the XEXT_CFLAGS and XEXT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XEXT_CFLAGS
-and XEXT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XEXT_CFLAGS and XEXT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -3725,9 +3616,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables XEXT_CFLAGS
-and XEXT_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the XEXT_CFLAGS and XEXT_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -3751,9 +3642,6 @@ echo "$as_me:$LINENO: checking for APPDEFS" >&5
echo $ECHO_N "checking for APPDEFS... $ECHO_C" >&6
if test -n "$PKG_CONFIG"; then
- if test -n "$APPDEFS_CFLAGS"; then
- pkg_cv_APPDEFS_CFLAGS="$APPDEFS_CFLAGS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
($PKG_CONFIG --exists --print-errors "xt") 2>&5
@@ -3764,14 +3652,10 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$APPDEFS_LIBS"; then
- pkg_cv_APPDEFS_LIBS="$APPDEFS_LIBS"
- else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
($PKG_CONFIG --exists --print-errors "xt") 2>&5
@@ -3782,59 +3666,38 @@ if test -n "$PKG_CONFIG"; then
else
pkg_failed=yes
fi
- fi
else
pkg_failed=untried
fi
-
-
if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- APPDEFS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xt"`
- else
- APPDEFS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xt"`
- fi
+ APPDEFS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xt"`
# Put the nasty error message in config.log where it belongs
- echo "$APPDEFS_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (xt) were not met:
-
-$APPDEFS_PKG_ERRORS
+ echo "$APPDEFS_PKG_ERRORS" 1>&5
+ { { echo "$as_me:$LINENO: error: Package requirements (xt) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables APPDEFS_CFLAGS
-and APPDEFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (xt) were not met:
-
-$APPDEFS_PKG_ERRORS
-
+Alternatively you may set the APPDEFS_CFLAGS and APPDEFS_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&5
+echo "$as_me: error: Package requirements (xt) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
-Alternatively, you may set the environment variables APPDEFS_CFLAGS
-and APPDEFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
+Alternatively you may set the APPDEFS_CFLAGS and APPDEFS_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details." >&2;}
{ (exit 1); exit 1; }; }
elif test $pkg_failed = untried; then
{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables APPDEFS_CFLAGS
-and APPDEFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the APPDEFS_CFLAGS and APPDEFS_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&5
@@ -3842,9 +3705,9 @@ echo "$as_me: error: The pkg-config script could not be found or is too old. Ma
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
-Alternatively, you may set the environment variables APPDEFS_CFLAGS
-and APPDEFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
+Alternatively you may set the APPDEFS_CFLAGS and APPDEFS_LIBS environment variables
+to avoid the need to call pkg-config. See the pkg-config man page for
+more details.
To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
See \`config.log' for more details." >&2;}
@@ -3917,75 +3780,47 @@ host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
if test x$APP_MAN_SUFFIX = x ; then
- case $host_os in
- linux*) APP_MAN_SUFFIX=1x ;;
- *) APP_MAN_SUFFIX=1 ;;
- esac
+ APP_MAN_SUFFIX=1
fi
if test x$APP_MAN_DIR = x ; then
- case $host_os in
- linux*) APP_MAN_DIR='$(mandir)/man1' ;;
- *) APP_MAN_DIR='$(mandir)/man$(APP_MAN_SUFFIX)' ;;
- esac
+ APP_MAN_DIR='$(mandir)/man$(APP_MAN_SUFFIX)'
fi
if test x$LIB_MAN_SUFFIX = x ; then
- case $host_os in
- linux*) LIB_MAN_SUFFIX=3x ;;
- *) LIB_MAN_SUFFIX=3 ;;
- esac
+ LIB_MAN_SUFFIX=3
fi
if test x$LIB_MAN_DIR = x ; then
- case $host_os in
- linux*) LIB_MAN_DIR='$(mandir)/man3' ;;
- *) LIB_MAN_DIR='$(mandir)/man$(LIB_MAN_SUFFIX)' ;;
- esac
+ LIB_MAN_DIR='$(mandir)/man$(LIB_MAN_SUFFIX)'
fi
if test x$FILE_MAN_SUFFIX = x ; then
case $host_os in
- linux*) FILE_MAN_SUFFIX=5x ;;
solaris*) FILE_MAN_SUFFIX=4 ;;
*) FILE_MAN_SUFFIX=5 ;;
esac
fi
if test x$FILE_MAN_DIR = x ; then
- case $host_os in
- linux*) FILE_MAN_DIR='$(mandir)/man5' ;;
- *) FILE_MAN_DIR='$(mandir)/man$(FILE_MAN_SUFFIX)' ;;
- esac
+ FILE_MAN_DIR='$(mandir)/man$(FILE_MAN_SUFFIX)'
fi
-# In Imake's linux.cf, the misc man suffix & dir was only changed for
-# LinuxDebian, not other Linuxes, so we leave it unchanged here
if test x$MISC_MAN_SUFFIX = x ; then
case $host_os in
-# linux*) MISC_MAN_SUFFIX=7x ;;
solaris*) MISC_MAN_SUFFIX=5 ;;
*) MISC_MAN_SUFFIX=7 ;;
esac
fi
if test x$MISC_MAN_DIR = x ; then
- case $host_os in
-# linux*) MISC_MAN_DIR='$(mandir)/man7' ;;
- *) MISC_MAN_DIR='$(mandir)/man$(MISC_MAN_SUFFIX)' ;;
- esac
+ MISC_MAN_DIR='$(mandir)/man$(MISC_MAN_SUFFIX)'
fi
-# In Imake's linux.cf, the driver man suffix & dir was only changed for
-# LinuxDebian, not other Linuxes, so we leave it unchanged here
if test x$DRIVER_MAN_SUFFIX = x ; then
case $host_os in
-# linux*) DRIVER_MAN_SUFFIX=4x ;;
solaris*) DRIVER_MAN_SUFFIX=7 ;;
*) DRIVER_MAN_SUFFIX=4 ;;
esac
fi
if test x$DRIVER_MAN_DIR = x ; then
- case $host_os in
-# linux*) DRIVER_MAN_DIR='$(mandir)/man4' ;;
- *) DRIVER_MAN_DIR='$(mandir)/man$(DRIVER_MAN_SUFFIX)' ;;
- esac
+ DRIVER_MAN_DIR='$(mandir)/man$(DRIVER_MAN_SUFFIX)'
fi
if test x$ADMIN_MAN_SUFFIX = x ; then
@@ -4692,14 +4527,17 @@ s,@AUTOCONF@,$AUTOCONF,;t t
s,@AUTOMAKE@,$AUTOMAKE,;t t
s,@AUTOHEADER@,$AUTOHEADER,;t t
s,@MAKEINFO@,$MAKEINFO,;t t
-s,@AMTAR@,$AMTAR,;t t
s,@install_sh@,$install_sh,;t t
s,@STRIP@,$STRIP,;t t
s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
+s,@mkdir_p@,$mkdir_p,;t t
s,@AWK@,$AWK,;t t
s,@SET_MAKE@,$SET_MAKE,;t t
s,@am__leading_dot@,$am__leading_dot,;t t
+s,@AMTAR@,$AMTAR,;t t
+s,@am__tar@,$am__tar,;t t
+s,@am__untar@,$am__untar,;t t
s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
s,@MAINT@,$MAINT,;t t
@@ -5382,27 +5220,21 @@ echo X"$mf" |
else
continue
fi
- grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
- # Extract the definition of DEP_FILES from the Makefile without
- # running `make'.
- DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
+ # Extract the definition of DEPDIR, am__include, and am__quote
+ # from the Makefile without running `make'.
+ DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
test -z "$DEPDIR" && continue
+ am__include=`sed -n 's/^am__include = //p' < "$mf"`
+ test -z "am__include" && continue
+ am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
# When using ansi2knr, U may be empty or an underscore; expand it
- U=`sed -n -e '/^U = / s///p' < "$mf"`
- test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
- # We invoke sed twice because it is the simplest approach to
- # changing $(DEPDIR) to its actual value in the expansion.
- for file in `sed -n -e '
- /^DEP_FILES = .*\\\\$/ {
- s/^DEP_FILES = //
- :loop
- s/\\\\$//
- p
- n
- /\\\\$/ b loop
- p
- }
- /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
+ U=`sed -n 's/^U = //p' < "$mf"`
+ # Find all dependency output files, they are included files with
+ # $(DEPDIR) in their names. We invoke sed twice because it is the
+ # simplest approach to changing $(DEPDIR) to its actual value in the
+ # expansion.
+ for file in `sed -n "
+ s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
# Make sure the directory exists.
test -f "$dirpart/$file" && continue